package com.bocloud.cmp.model.installation.catalog;

import com.alibaba.fastjson.JSON;

public class Interfaces {
    private String type;
    private Integer number;
    private Integer mtu;
    private String mac;
    private String state;

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the number
     */
    public Integer getNumber() {
        return number;
    }

    /**
     * @param number the number to set
     */
    public void setNumber(Integer number) {
        this.number = number;
    }

    /**
     * @return the mtu
     */
    public Integer getMtu() {
        return mtu;
    }

    /**
     * @param mtu the mtu to set
     */
    public void setMtu(Integer mtu) {
        this.mtu = mtu;
    }

    /**
     * @return the mac
     */
    public String getMac() {
        return mac;
    }

    /**
     * @param mac the mac to set
     */
    public void setMac(String mac) {
        this.mac = mac;
    }

    /**
     * @return the state
     */
    public String getState() {
        return state;
    }

    /**
     * @param state the state to set
     */
    public void setState(String state) {
        this.state = state;
    }

    public Interfaces() {
    }

    public Interfaces(String type, Integer number, Integer mtu, String mac, String state) {
        super();
        this.type = type;
        this.number = number;
        this.mtu = mtu;
        this.mac = mac;
        this.state = state;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
